# $Revision: 1.4.2.1 $, $Date: 2003/03/13 00:57:26 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Getopt
%define	pnam	Auto
Summary:	Getopt::Auto - Framework for command-line applications
Summary(pl):	Getopt::Auto - szkielet do aplikacji dziaajcych z linii polece
Name:		perl-Getopt-Auto
Version:	1.00
Release:	1
License:	?
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl(Pod::Parser)
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Unix command line applications, rather than simple filters, are pretty
unpleasant to write; as well as actually writing the functionality,
there's the boring parsing of the command line arguments and so on. Even
with Getopt::Long or equivalent, you still have to dispatch the
appropriate commands to the right subroutines, write a --help and
--version handler, and so on. This module abstracts out that code,
leaving you free just to concentrate on the functional part.

%description -l pl
Uniksowe aplikacje dziaajce z linii polece, bardziej ni proste
filtry, s do nieprzyjemne przy pisaniu; oprcz waciwego pisania
funkcjonalnoci, jest jeszcze nudne analizowanie argumentw linii
polece itp. Nawet z uyciem Getopt::Long lub ekwiwalentu, nadal trzeba
przekierowywa odpowiednie polecenia do waciwych funkcji, pisa
obsug --help i --version itd. Ten modu umoliwia wyabstrahowanie
tego kodu, pozwalajc skoncentrowa si na czci funkcjonalnej.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Getopt-Auto.spec,v $
Revision 1.4.2.1  2003/03/13 00:57:26  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.4  2003/02/25 00:39:24  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:32:42  ankry
- massive attack: change CPAN URLs

Revision 1.2  2003/02/17 00:13:27  qboosh
- pl description

Revision 1.1  2003/02/15 21:48:03  radek
- new
